darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Patch.Effect

Synopsis

- class Effect p where
  - effect :: p x y -> FL (PrimOf p) x y
  - effectRL :: p x y -> RL (PrimOf p) x y

# Documentation

class Effect p where

Patches whose concrete effect which can be expressed as a list of primitive patches.

A minimal definition would be either of `effect` or `effectRL`.

Methods

effect :: p x y -> FL (PrimOf p) x y

effectRL :: p x y -> RL (PrimOf p) x y

Instances

Effect p => Effect (RL p) |
Effect p => Effect (FL p) |
PrimPatch prim => Effect (Patch prim) |
Effect p => Effect (Named p) |
Effect p => Effect (PatchInfoAnd p) |
PrimPatch prim => Effect (RealPatch prim) |